// c 中三目运算表达式返回的是 变量的值
// c++ 中三目运算表达式返回的是 变量 (对照 d11.cpp)
#include <stdio.h>

int main()
{
    int a = 10, b = 20;
    (a > b ? a : b) = 100; // 不能这样写，因为 c 语言中三目运算表达式返回的是变量的值
    printf("a = %d, b = %d\n", a, b);
    return 0;
}